Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bg.alpha.base
Class ZZZSaver

    java.lang.Object
      bg.alpha.base.ZZZSaver

    public class ZZZSaver

extends java.lang.Object

Field Summary
`static int` | `ciBeforeRemovePointedElement`
`static int` | `ciNormal`
`protected bg.alpha.base.ZC66` | `Cursor`
`protected long` | `CursorPtr` Указател към ZZZ клетката:
`protected byte[]` | `PathToElement` Път до елемента сочен от точката, когато е изтрита:
`protected bg.alpha.base.ZZZSaver.ZZZSaverStateType` | `State` Състояние на точката:
`static int` | `TEMPLEN`
`static java.lang.String` | `ZZZObjectClassName`

Constructor Summary
`ZZZSaver()` Конструира обекта.

Method Summary
`static boolean` | `correctSaver(int saverNumber)`
`static boolean` | `deleteSaversByPtr(long fptPtr)` Изтрива ZZZSaver от svrarray и освобождава номера/описателя му.
`protected void` | `finalize()` Деструктор:
`java.lang.String` | `GetClassName()`
`void` | `SetClassName()`
`void` | `SetClassName(java.lang.String sName)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ciNormal

    public static final int ciNormal

See Also:
  Constant Field Values

### ciBeforeRemovePointedElement

    public static final int ciBeforeRemovePointedElement

See Also:
  Constant Field Values

### CursorPtr

    protected long CursorPtr

  Указател към ZZZ клетката:

### Cursor

    protected bg.alpha.base.ZC66 Cursor

### State

    protected bg.alpha.base.ZZZSaver.ZZZSaverStateType State

  Състояние на точката:

### PathToElement

    protected byte[] PathToElement

  Път до елемента сочен от точката, когато е изтрита:

### ZZZObjectClassName

    public static final java.lang.String ZZZObjectClassName

See Also:
  Constant Field Values

### TEMPLEN

    public static final int TEMPLEN

See Also:
  Constant Field Values

Constructor Detail

### ZZZSaver

    public ZZZSaver()

  Конструира обекта. ПРОМЕНЛИВИ: ПРИНАДЛЕЖАЩИ НА КЛАСА - ZC34: State - възможните й стойности са: а). Empty - не е запомнена точка; б). Normal - запомнена е точка към някой ZZZ елемент; в). SuperSet - запомнена е точка, която е подмножество на клетката; г). SubSet - запомнена е точка, която е надмножество на клетката. ОБЩ АЛГОРИТЪМ: Указва, че не е записана ZZZ точка в обекта. ДАТА НА ПОСЛЕДНА ПРОМЯНА: 20.11.2010 г.

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Деструктор:

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### correctSaver

    public static boolean correctSaver(int saverNumber)

### deleteSaversByPtr

    public static boolean deleteSaversByPtr(long fptPtr)
                                     throws ZZZException

  Изтрива ZZZSaver от svrarray и освобождава номера/описателя му.

  Parameters:
    `fptPtr` -
  Returns:
    ДАТА НА ПОСЛЕДНА ПРОМЯНА: 04.12.2010 г.
  Throws:
    `ZZZException`

### GetClassName

    public java.lang.String GetClassName()

### SetClassName

    public void SetClassName()

### SetClassName

    public final void SetClassName(java.lang.String sName)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD